Skip to main content

Registration

Those endpoints allow to register a external authenticator, like Encedo Mobile Authenticator.

Allowed usersUser✓Master✗ExtAuth✗
Required access scopeauth:ext:pairalternative:system:config

Register a new authenticator​

Phase 1 - challenge​

Get the registration challenge and begin the process​

POSThttps://my.ence.do/api/auth/ext/init

Generate a challenge to link the device with a new external authenticator.

Headers​

NameTypeDescription
Authorization*StringBearer JWT_TOKEN
Content-Type*Stringapplication/json

Request Body​

NameTypeDescription
epk*StringBroker ephemeral public key

Response status code​

{
"request": "eyJlY2RoIjoieDI1NTE5IiwidHlwIjoiSldUIiwiYWxnIjoiSFMyNTYifQ.eyJqdGkiOiI5cHM0WWlySDdUZTB0ZWZwanl6Q2NQNTYzRjhTK2daeGJCTVg5VExFQnZnPSIsImV4cCI6MTY0Nzk2MzUxMCwiYXVkIjoiL05HU0F2dTltNjRpQzc5d2FrR3ZMYzdSYlcrclhkcnVZUHVlOXYwbmZIST0iLCJpc3MiOiJmZjYvcnBncHJ3Nk9qY1BiZWRJQjVMYnN4alpxbW5mNDNKMXplSzF4ODJJPSJ9.M0gYXmgB9cpI1YF48SG5iI7OcMRxRC-uqlIHaiAFrUQ",
"eid": "ff6/rpgprw6OjcPbedIB5LbsxjZqmnf43J1zeK1x82I="
}

Response data for successful operation​

NameTypeDescription
eidStringEncedoID, public key of the instance.
requestStringRegistration data to proxy to the external authenticator.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403

Phase 2 - response​

Upload the registration reply and validate registration​

POSThttps://my.ence.do/api/auth/ext/validate

Upload a registration reply data sent by an external authenticator.

Headers​

NameTypeDescription
Authorization*StringBearer JWT_TOKEN
Content-Type*Stringapplication/json

Request Body​

NameTypeDescription
pid*StringUnique Pairing ID
reply*StringReply data sent by external authenticator

Response status code​

{
"kid": "42afc419dbda72636b37a2455955e095",
"code": "3SABMB8RqE2XH2floeEqg7obeyn/TtqK1hk/hi+4N8k="
}

Response data for successful operation​

NameTypeDescription
codeStringConfirmation code
kidStringKey ID of saved authenticator public key

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403
LOG_TYPE_AUTH_PAIRED_EXTERNALLOG_RESULT_OK200

List registered authenticators​

Get authentication data​

POSThttps://my.ence.do/api/auth/ext/mac

Obtain MAC data to authenticate the device on the broker site and retrieve a list of paired authenticators.

Headers​

NameTypeDescription
Authorization*StringBearer JWT_TOKEN
Content-Type*Stringapplication/json

Request Body​

NameTypeDescription
epk*StringBroker ephemeral public key

Response status code​

{
"nonce": "XJ04YiV/Mh517cV0zqG+XEeCGbGNBt2PUnWcCtV7NVg=",
"mac": "ttyTJLTi+bguIwU9mW+5dCEy6l55YyQZZ4tq8tR8WRE=",
"eid": "ff6/rpgprw6OjcPbedIB5LbsxjZqmnf43J1zeK1x82I="
}

Response data for successful operation​

NameTypeDescription
eidStringEncedoID, public key of the instance.
macStringAuthentication data
nonceStringAuthentication data nonce

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403